Subject: Re: Which oils would be best to help someone with depression?

From: Jim Dierking <[email-masked]>
Date: 9 Sep 1995 03:58:33 GMT

I recently heard on the Laura Lee talk show that flax seed oil contains
omega 3 components that many people are deficient in that relates to
depression.  Regards, Jim Dierking Liberty Natural Products, Inc.
One stop source for essential & botanical oils/extracts
http://www.teleport.com/~liberty